<template>
  <div class="relative bg-secondary-100">
    <section class="py-16">
      <div class="container mx-auto">
        <div class="w-1/3 mx-auto text-center">
          <h1 v-if="error.statusCode === 404" class="text-5xl text-black">
            Page not found
          </h1>
          <h1 v-else class="text-5xl text-black">An error occurred</h1>
          <NuxtLink to="/" class="mt-3 btn primary large">Home page</NuxtLink>
        </div>
      </div>
    </section>
  </div>
</template>

<script>
export default {
  props: {
    error: {
      type: Object,
      required: true,
    },
  },
  beforeMount() {
    window.addEventListener('beforeunload', this.logOut)
  },
  methods: {
    logOut() {
      this.$store.dispatch('auth/logOut')
      this.$apolloHelpers.onLogout()
    },
  },
}
</script>

<style>
html,
body {
  overflow-x: hidden;
}
</style>
